from . import events
from . import sms
from . import hosts
from . import downtimes
from . import powny

from .errors import (
    GolemApiError,
    GolemNoSmsRecepientsError,
    GolemNoCurrentEventError,
)
from .events import (
    OK,
    INFO,
    WARN,
    CRIT,
)


# =====
__all__ = [
    "GolemApiError", "GolemNoSmsRecepientsError", "GolemNoCurrentEventError",
    "OK", "INFO", "WARN", "CRIT",
    "GolemApi",
]


# =====
class GolemApi:  # pylint: disable=R0902
    def __init__(self, *args, **kwargs):
        self.events = events.EventsApi(*args, **kwargs)
        self.sms = sms.SmsApi(*args, **kwargs)
        self.hosts = hosts.HostsApi(*args, **kwargs)
        self.downtimes = downtimes.DowntimesApi(*args, **kwargs)
        self.powny = powny.PownyApi(*args, **kwargs)
