import requests
from requests.compat import urljoin


# =====
class BaseApi:
    def __init__(self, url, **kwargs):
        self._url = url
        self._kwargs = kwargs

    def _post(self, handle, attrs):
        return requests.post(urljoin(self._url, handle), data=attrs, **self._kwargs)

    def _get(self, handle, attrs):
        return requests.get(urljoin(self._url, handle), params=attrs, **self._kwargs)
