class GolemApiError(Exception):
    def __init__(self, result):
        super(GolemApiError, self).__init__()
        self._result = result

    def get_result(self):
        return self._result

    def __str__(self):
        return "{name}: {status_code} {status_message}: {golem_response}".format(
            name=type(self).__name__,
            status_code=self._result.status_code,
            status_message=self._result.reason,
            golem_response=self._result.text,
        )


class GolemNoSmsRecepientsError(GolemApiError):
    pass


class GolemNoCurrentEventError(GolemApiError):
    pass
