import json

from . import common
from . import errors


# =====
class PownyApi(common.BaseApi):
    def get_rules(self, handle="api/powny/get_rules.sbml"):
        result = self._get(handle, {"scope": "all"})
        try:
            result.raise_for_status()
            rules = json.loads(result.text)
            if rules["status"] != "success":
                raise RuntimeError("Invalid status int response from get_rules.sbml")
            return rules["rules"]
        except Exception:
            raise errors.GolemApiError(result)
