from . import common
from . import errors


# =====
class SmsApi(common.BaseApi):
    def send_for_user(self, to, body, handle="api/sms/send.sbml"):
        if not isinstance(to, (list, tuple)):
            to = (to,)
        self._send_sms({"resps": ",".join(to)}, body, handle)

    def send_for_host(self, host, body, handle="api/sms/send.sbml"):
        self._send_sms({
            "object": host,
        }, body, handle)

    def send_for_service(self, host, service, body, handle="api/sms/send.sbml"):
        self._send_sms({
            "object":    host,
            "eventtype": service,
        }, body, handle)

    def _send_sms(self, criteria, body, handle):
        attrs = {"msg": body}
        attrs.update(criteria)
        result = self._post(handle, attrs)
        if result.status_code == 200 and result.text.startswith("ok"):
            return
        elif result.text.startswith("error: no valid users"):
            raise errors.GolemNoSmsRecepientsError(result)
        else:
            raise errors.GolemApiError(result)
